Subject: Re: [Outreachy PATCH v4 0/2] do not use strbuf_split*()

From: Junio C Hamano <[email-masked]>
Date: Tue, 21 Oct 2025 10:13:20 -0700

Bello Olamide <[email-masked]> writes:

>> > Commit 2efe707054 (wt-status: avoid strbuf_split*(), 2025-07-31) for example,
>> > in the series, notes that abbrev_oid_in_line() takes one line of rebase
>> > todo list and splits tokens out of this line using strbuf_split_max().
>> > However, no simultanous edits that take advantage of the strbuf API take
>> > place but the tokens are merely used as pieces of strings.
>>
>> I am not sure taking this commit as an example is really useful now
>> that the string_list_split*() functions are not used in your series
>> anymore. Maybe you can find a more relevant example commit in Junio's
>> series?
>>
>> [...]
>
> Okay. Thank you. I will take a closer look at the series and look for
> a more suitable
> reference.

Thanks Christian for lending us very sharp eyes.

What we do in these patches now is closer in spirit to d6fd08bd
(sub-process: do not use strbuf_split*(), 2025-07-31), I think, in
that we do not split things into an array of strbuf, and instead
parse things out in place as much as possible.